Runtime

## org.eclipse.gmf.runtime.diagram.ui.preferences
Class DiagramPreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
          org.eclipse.gmf.runtime.diagram.ui.preferences.DiagramPreferenceInitializer

public abstract class DiagramPreferenceInitializer
extends AbstractPreferenceInitializer

The initializer for the generic diagram preferences. Clients that have their own diagram preferences should subclass this so that they inherit default values for the preferences that they do not provide preference pages for. This will ensure that the default values are set for all available diagram preferences.

Constructor Summary
`DiagramPreferenceInitializer()`

Method Summary
`protected abstract IPreferenceStore` `getPreferenceStore()` Gets the preference store to be initialized.
`void` `initializeDefaultPreferences()` Initializes all the generic diagram preferences with their default values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramPreferenceInitializer

    public DiagramPreferenceInitializer()

Method Detail

### initializeDefaultPreferences

    public void initializeDefaultPreferences()

  Initializes all the generic diagram preferences with their default values. Override to initialize new preferences added.

### getPreferenceStore

    protected abstract IPreferenceStore getPreferenceStore()

  Gets the preference store to be initialized.

  Returns:
    the preference store to be initialized

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.